package de.jugmuenster.sevendemo.coin;

/**
 * Java 7 Demo: Strings are now supported as switch conditions.
 * 
 */
public class StringSwitch
{
    public static void main(String[] args)
    {
        rateTvShow("Andromeda");
        rateTvShow("Star Wars"); 
        rateTvShow("Star Trek Voyager"); 
        rateTvShow("Big Bang Theory");
        
        //what do you expect?
        rateTvShow(new String());
        rateTvShow(null);
    }

    private static void rateTvShow(String showName)
    {
        switch(showName)
        {
            case "Andromeda":
                print(showName, "ok");
                break;
            case "Star Wars":
                print(showName, "good");
                break;
            case "Big Bang Theory":
                print(showName, "awesome");
                break;
            default: System.out.println("What?");
        }
    }

    private static void print(String showName, String rating)
    {
        System.out.println(String.format("%s is %s!", showName, rating));
    }
}
